[New-bugs-announce] [issue8798] tkinter build variants on OSX

Ronald Oussoren report at bugs.python.org
Mon May 24 11:06:47 CEST 2010

New submission from Ronald Oussoren <ronaldoussoren at mac.com>:

It would be nice if the binary installer supported both Tk 8.4 and Tk 8.5: the former is present on all current versions of OSX as part of the system, the latter is the only one that is supported in 64-bit code on OSX  10.6.

A number of Tkinter users have also mentioned that they would much prefer to target Tk 8.5 due to a large number of bugfixes in that version (on OSX).

What I'm thinking of is:

have _tkinter.py that does:

   from _tkinter85 import *
except ImportError:
   from _tkinter84 import *

Then patch setup.py to build _tkinter84.so and _tkinter85.so from _tkinter.c while linking to the right version of Tk. This should only be done when a special configure argument is present, if it isn't setup.py should default to building _tkinter.so like it currently does. 

I don't have time to work on a patch myself.

Workaround for this request: build your own copy of _tkinter when you want to use Tk 8.5 (or later) and use sys.path manipulation to ensure that that copy is used.

assignee: ronaldoussoren
components: Macintosh
messages: 106347
nosy: ronaldoussoren
priority: low
severity: normal
stage: needs patch
status: open
title: tkinter build variants on OSX
type: feature request
versions: Python 2.7, Python 3.2

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list